<?php
vc_map(
	array(
		'name' => __( 'Portfolio Carousel', 'mk_framework' ),
		'base' => 'mk_portfolio_carousel',
		'html_template' => dirname( __FILE__ ) . '/mk_portfolio_carousel.php',
		'icon' => 'icon-mk-portfolio-carousel vc_mk_element-icon',
		'category' => __( 'Loops', 'mk_framework' ),
		'description' => __( 'Shows Portfolio loop in carousel.', 'mk_framework' ),
		'params' => array(
			array(
				'heading' => __( 'Style', 'mk_framework' ),
				'description' => __( 'Select which style you would like to use.', 'mk_framework' ),
				'param_name' => 'style',
				'value' => array(
					__( 'Classic', 'mk_framework' ) => 'classic',
					__( 'Modern (Screen wide)', 'mk_framework' ) => 'modern',
				),
				'type' => 'dropdown',
			),
			array(
				'heading' => __( 'Hover Scenarios', 'mk_framework' ),
				'description' => __( 'This is what happens when user hovers over a portfolio item. Different animations and styles will be showed up on each scenario.', 'mk_framework' ),
				'param_name' => 'hover_scenarios',
				'value' => array(
					__( 'Slide Box', 'mk_framework' ) => 'slidebox',
					__( 'Fade Box', 'mk_framework' ) => 'fadebox',
					__( 'Zoom In Box', 'mk_framework' ) => 'zoomin',
					__( 'Zoom Out Box', 'mk_framework' ) => 'zoomout',
					__( 'Light Zoom In', 'mk_framework' ) => 'light-zoomin',
					__( '3D Cube', 'mk_framework' ) => 'cube',
					__( 'None (only link to the single portfolio page)', 'mk_framework' ) => 'none',
				),
				'type' => 'dropdown',
				'dependency' => array(
					'element' => 'style',
					'value' => array(
						'modern',
					),
				),
			),
			array(
				'type' => 'textfield',
				'heading' => __( 'Heading Title', 'mk_framework' ),
				'param_name' => 'title',
				'value' => '',
				'description' => __( '', 'mk_framework' ),
			),
			array(
				'type'        => 'autocomplete',
				'heading'     => __( 'View All Page', 'mk_framework' ),
				'param_name'  => 'view_all',
				'description' => __( 'Select the page you would like to navigate if [View All] link is clicked. Search for post ID or post title to get autocomplete suggestions', 'mk_framework' ),
				'dependency' => array(
					'element' => 'style',
					'value' => array(
						'classic',
					),
				),
			),
			array(
				'type' => 'textfield',
				'heading' => __( '[View All] Link Title', 'mk_framework' ),
				'param_name' => 'view_all_text',
				'value' => 'View All',
				'description' => __( '', 'mk_framework' ),
			),
			array(
				'type' => 'range',
				'heading' => __( 'How many Posts?', 'mk_framework' ),
				'param_name' => 'count',
				'value' => '10',
				'min' => '-1',
				'max' => '50',
				'step' => '1',
				'unit' => 'posts',
				'description' => __( 'How many Posts would you like to show? (-1 means unlimited)', 'mk_framework' ),
			),
			array(
				'type' => 'range',
				'heading' => __( 'Visible Items at Once', 'mk_framework' ),
				'param_name' => 'show_items',
				'value' => '4',
				'min' => '1',
				'max' => '10',
				'step' => '1',
				'unit' => 'items',
				'description' => __( 'How many items you would like to show in carousel?', 'mk_framework' ),
				'dependency' => array(
					'element' => 'style',
					'value' => array(
						'modern',
					),
				),
			),
			array(
				'type' => 'range',
				'heading' => __( 'Offset', 'mk_framework' ),
				'param_name' => 'offset',
				'value' => '0',
				'min' => '0',
				'max' => '50',
				'step' => '1',
				'unit' => 'posts',
				'description' => __( 'Number of post to displace or pass over, it means based on your order of the loop, this number will define how many posts to pass over and start from the nth number of the offset.', 'mk_framework' ),
			),
			array(
				'heading' => __( 'Image Size', 'mk_framework' ),
				'description' => __( '', 'mk_framework' ),
				'param_name' => 'image_size',
				'value' => mk_get_image_sizes(),
				'type' => 'dropdown',
			),
			array(
				'type'        => 'autocomplete',
				'heading'     => __( 'Select specific Categories', 'mk_framework' ),
				'param_name'  => 'categories',
				'settings' => array(
					'multiple' => true,
					'sortable' => true,
					'unique_values' => true,
				),
				'description' => __( 'Search for category name to get autocomplete suggestions', 'mk_framework' ),
			),
			array(
				'type'        => 'autocomplete',
				'heading'     => __( 'Select specific Posts', 'mk_framework' ),
				'param_name'  => 'posts',
				'settings' => array(
					'multiple' => true,
					'sortable' => true,
					'unique_values' => true,
				),
				'description' => __( 'Search for post ID or post title to get autocomplete suggestions', 'mk_framework' ),
			),

			array(
				'type'        => 'autocomplete',
				'heading'     => __( 'Select specific Authors', 'mk_framework' ),
				'param_name'  => 'author',
				'settings' => array(
					'multiple' => true,
					'sortable' => true,
					'unique_values' => true,
				),
				'description' => __( 'Search for user ID, Username, Email Address to get autocomplete suggestions', 'mk_framework' ),
			),
			array(
				'type' => 'range',
				'heading' => __( 'Animation Speed', 'mk_framework' ),
				'param_name' => 'animation_speed',
				'value' => '400',
				'min' => '100',
				'max' => '3000',
				'step' => '1',
				'unit' => 'ms',
				'description' => __( '', 'mk_framework' ),
			),
			array(
				'type' => 'range',
				'heading' => __( 'Slideshow Speed', 'mk_framework' ),
				'param_name' => 'slideshow_speed',
				'value' => '5000',
				'min' => '1000',
				'max' => '90000',
				'step' => '1',
				'unit' => 'ms',
				'description' => __( '', 'mk_framework' ),
			),
			array(
				'type' => 'toggle',
				'heading' => __( 'Pause on Hover', 'mk_framework' ),
				'param_name' => 'pause_on_hover',
				'value' => 'false',
				'description' => __( 'Pauses the slideshow when hovering over slider, then resume when no longer hovering', 'mk_framework' ),
			),
			array(
				'heading' => __( 'Order', 'mk_framework' ),
				'description' => __( "Designates the ascending or descending order of the 'orderby' parameter.", 'mk_framework' ),
				'param_name' => 'order',
				'value' => array(
					__( 'DESC (descending order)', 'mk_framework' ) => 'DESC',
					__( 'ASC (ascending order)', 'mk_framework' ) => 'ASC',
				),
				'type' => 'dropdown',
			),
			array(
				'heading' => __( 'Orderby', 'mk_framework' ),
				'description' => __( 'Sort retrieved Portfolio items by parameter.', 'mk_framework' ),
				'param_name' => 'orderby',
				'value' => $mk_orderby,
				'type' => 'dropdown',
			),
			$add_device_visibility,
			array(
				'type' => 'textfield',
				'heading' => __( 'Extra class name', 'mk_framework' ),
				'param_name' => 'el_class',
				'value' => '',
				'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.', 'mk_framework' ),
			),
		),
	)
);
